summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSeth Mos <seth.mos@xs4all.nl>2007-09-26 18:54:06 +0000
committerSeth Mos <seth.mos@xs4all.nl>2007-09-26 18:54:06 +0000
commit067502de4f56df432a6babe2469b144000acb317 (patch)
tree1a762990517f9ea08262cb05f6d3d52220e8cccf
parent162c059e3c1d0e86646c30b5355b66b3145e56f2 (diff)
downloadpfsense-067502de4f56df432a6babe2469b144000acb317.zip
pfsense-067502de4f56df432a6babe2469b144000acb317.tar.gz
Compare files
-rwxr-xr-xusr/sbin/update_dns_cache.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/usr/sbin/update_dns_cache.sh b/usr/sbin/update_dns_cache.sh
index 32e9996..cf58ffb 100755
--- a/usr/sbin/update_dns_cache.sh
+++ b/usr/sbin/update_dns_cache.sh
@@ -17,6 +17,11 @@ while [ /bin/true ]; do
continue
fi
# We need to compare the files.
+ # We need to compare the files.
+ cmp -s /tmp/Njkd98u79.tmp $FILE
+ if [ "$?" -gt 0 ]; then
+ needsfilterreload=1
+ fi
done
if [ "$needsfilterreload" -gt 0 ]; then
/etc/rc.filter_configure_sync
OpenPOWER on IntegriCloud